hwy::HWY_NAMESPACE::Pack16< 1 > Struct Reference

`#include <bit_pack-inl.h>`

## Public Member Functions

template<class D >
HWY_INLINE void | Pack (D d, const uint16_t *HWY_RESTRICT raw, uint16_t *HWY_RESTRICT packed_out) const
template<class D >
HWY_INLINE void | Unpack (D d, const uint16_t *HWY_RESTRICT packed_in, uint16_t *HWY_RESTRICT raw) const

## Member Function Documentation

## Pack()

template<class D >

HWY_INLINE void hwy::HWY_NAMESPACE::Pack16< 1 >::Pack | ( | D | d,
|  | const uint16_t *HWY_RESTRICT | raw,
|  | uint16_t *HWY_RESTRICT | packed_out
| ) |  | const

inline

References hwy::HWY_NAMESPACE::d, hwy::HWY_NAMESPACE::Lanes(), hwy::HWY_NAMESPACE::LoadU(), hwy::HWY_NAMESPACE::N, hwy::HWY_NAMESPACE::Or(), hwy::HWY_NAMESPACE::StoreU(), and hwy::HWY_NAMESPACE::Xor3().

## Unpack()

template<class D >

HWY_INLINE void hwy::HWY_NAMESPACE::Pack16< 1 >::Unpack | ( | D | d,
|  | const uint16_t *HWY_RESTRICT | packed_in,
|  | uint16_t *HWY_RESTRICT | raw
| ) |  | const

inline

References hwy::HWY_NAMESPACE::And(), hwy::HWY_NAMESPACE::d, hwy::HWY_NAMESPACE::Lanes(), hwy::HWY_NAMESPACE::LoadU(), hwy::HWY_NAMESPACE::N, hwy::HWY_NAMESPACE::Set(), and hwy::HWY_NAMESPACE::StoreU().

The documentation for this struct was generated from the following file:

- bit_pack-inl.h